ClientService
Click here for a complete list of operations.
GetDepartmentList
Returns the list of departments
Test
The test form is only available for requests from the local machine.SOAP 1.1
The following is a sample SOAP 1.1 request and response. The placeholders shown need to be replaced with actual values.
POST /Client/V001/ClientService.asmx HTTP/1.1
Host: api.24sevenoffice.com
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://24sevenOffice.com/webservices/GetDepartmentList"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<GetDepartmentList xmlns="http://24sevenOffice.com/webservices" />
</soap:Body>
</soap:Envelope>
HTTP/1.1 200 OK
Content-Type: text/xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap:Body>
<GetDepartmentListResponse xmlns="http://24sevenOffice.com/webservices">
<GetDepartmentListResult>
<Department>
<Id>int</Id>
<Name>string</Name>
<Addresses>
<Post xsi:nil="true" />
<Delivery xsi:nil="true" />
<Visit xsi:nil="true" />
<Invoice xsi:nil="true" />
</Addresses>
<Phone>string</Phone>
<Fax>string</Fax>
<Email>string</Email>
</Department>
<Department>
<Id>int</Id>
<Name>string</Name>
<Addresses>
<Post xsi:nil="true" />
<Delivery xsi:nil="true" />
<Visit xsi:nil="true" />
<Invoice xsi:nil="true" />
</Addresses>
<Phone>string</Phone>
<Fax>string</Fax>
<Email>string</Email>
</Department>
</GetDepartmentListResult>
</GetDepartmentListResponse>
</soap:Body>
</soap:Envelope>
SOAP 1.2
The following is a sample SOAP 1.2 request and response. The placeholders shown need to be replaced with actual values.
POST /Client/V001/ClientService.asmx HTTP/1.1
Host: api.24sevenoffice.com
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetDepartmentList xmlns="http://24sevenOffice.com/webservices" />
</soap12:Body>
</soap12:Envelope>
HTTP/1.1 200 OK
Content-Type: application/soap+xml; charset=utf-8
Content-Length: length
<?xml version="1.0" encoding="utf-8"?>
<soap12:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://www.w3.org/2003/05/soap-envelope">
<soap12:Body>
<GetDepartmentListResponse xmlns="http://24sevenOffice.com/webservices">
<GetDepartmentListResult>
<Department>
<Id>int</Id>
<Name>string</Name>
<Addresses>
<Post xsi:nil="true" />
<Delivery xsi:nil="true" />
<Visit xsi:nil="true" />
<Invoice xsi:nil="true" />
</Addresses>
<Phone>string</Phone>
<Fax>string</Fax>
<Email>string</Email>
</Department>
<Department>
<Id>int</Id>
<Name>string</Name>
<Addresses>
<Post xsi:nil="true" />
<Delivery xsi:nil="true" />
<Visit xsi:nil="true" />
<Invoice xsi:nil="true" />
</Addresses>
<Phone>string</Phone>
<Fax>string</Fax>
<Email>string</Email>
</Department>
</GetDepartmentListResult>
</GetDepartmentListResponse>
</soap12:Body>
</soap12:Envelope>